<?php
declare(strict_types=1);

namespace app\common\business;

use app\common\model\mysql\Category as CategoryModel;

class Category
{
    public $categoryObj = null;

    public function __construct()
    {
        $this->categoryObj = new CategoryModel();
    }

    /**
     * 新增一条分类
     * @param array $data
     * @return int
     */
    public function add(array $data)
    {
        $data['status'] = config('status.mysql.table_normal');
        $this->categoryObj->save($data);
        return $this->categoryObj->getLastInsID();
    }
}